RK-A2 - Feature #3668

Improve the Theme Selector Container - [Extended from #3664]
07/17/2024 12:31 PM - Ayanava Karmakar

Status: Resolved Start date: 07/17/2024
Priority: Normal Due date:

Assignee: Ayanava Karmakar % Done: 100%
Category: Estimated time: 1.50 hour
Target version: Spent time: 0.00 hour
Description

1) Theme Selector Reference Image -
https://drive.google.com/file/d/1 CBIXFJ8hGpj-PVCSIQgUSq4THOZ _sZsq/view?usp=sharing

Refer the image linked above. The bubbles cutoff on the left/right indicate that the bubbles can be horizontally scrolled & more
bubbles are available on the left/right side of the screen. There are only 3 rows of bubbles and multiple columns which can be
horizontally scroll-able. This will be make sure the Theme Selector Container doesn't take too much space as compared to the
actual Chat Interface. We have to implement this in our Chat Interface Ul.

2) Post #3664 implementation, we will have to show " chosen styles " by default when the user clicks on the Theme Button. After
implementing #1, we have to make sure that the default chosen styles are shown in the middle of the Theme Selector Container &
should not be cutoff/hidden on left/right sides of the container.

3) This should for all laptop/tablet/mobile screens

4) for starters, TCs needed to covered ---

4.1) Chosen Themes > Unchosen Themes

4.2) Chosen Themes < Unchosen Themes

4.3) Chosen Themes === Unchosen Themes

4.4) Chosen Themes NOT present

4.5) Only Chosen Themes present

4.6) Either Chosen Themes or Unchosen Themes are present in low numbers such that more than -
4.6.1) 2 rows cannot be formed

4.6.2) more than 1 row cannot be formed

History

#1 - 07/17/2024 12:49 PM - Ayanava Karmakar
- Estimated time set to 1.50 h

#2 - 07/17/2024 12:54 PM - Ayanava Karmakar

- Description updated

#3 - 07/17/2024 12:54 PM - Ayanava Karmakar

- Description updated

#4 - 07/18/2024 11:02 AM - Ayanava Karmakar
- Status changed from New to In Progress

- Assignee set to Ayanava Karmakar

#5 - 07/18/2024 12:08 PM - Ayanava Karmakar
- % Done changed from 0 to 50

#6 - 07/18/2024 12:26 PM - Ayanava Karmakar
- % Done changed from 50 to 80

#7 - 07/19/2024 11:21 AM - Ayanava Karmakar

Updated requirements: 1 Row of theme bubbles is sufficient for now
https://drive.google.com/file/d/1CB9XFJ8hGpj-PVCSIQgUSq4THOZ_sZsq/view?usp=sharing
http://34.67.50.25/issues/3664

#8 - 07/23/2024 06:28 AM - Ayanava Karmakar
- Status changed from In Progress to Resolved

- % Done changed from 80 to 100

#9 - 07/23/2024 06:28 AM - Ayanava Karmakar

- Status changed from Resolved to Review

#10 - 07/23/2024 06:52 AM - Ayanava Karmakar

- Status changed from Review to Feedback

#11 - 07/24/2024 06:23 AM - Ayanava Karmakar
- Status changed from Feedback to Resolved
